import request from '@/utils/request'

export function getReceivePage(data) {
  return request({
    url: '/js-out-stock/page',
    method: 'get',
    params: data
  })
}

export function getReceiveList(data) {
  return request({
    url: '/js-out-stock/list',
    method: 'post',
    data: data
  })
}

export function getReceiveDetail(data) {
  return  request({
    url: '/js-out-stock/listById',
    method: 'post',
    data: data
  })
}

export function addReceivePage(data) {
  return request({
    url: '/js-out-stock/add',
    method: 'post',
    data: data
  })
}

export function editReceivePage(data) {
  return request({
    url: '/js-out-stock/edit',
    method: 'post',
    data: data
  })
}

export function delReceivePage(data) {
  return request({
    url: '/js-out-stock/delete',
    method: 'post',
    data: data
  })
}
